################################################
## Preparation des infos et formattage
################################################
##


## Initialisation de la date du jour ----------------------------
library(stringr)
date_heure_jour <- Sys.time()
date_heure_jour <- str_replace_all(date_heure_jour," ","_")
date_heure_jour <- str_replace_all(date_heure_jour,":","")


## Import du fichier de donnees --------------------------------

## Pour fichier xls
## library(readxl)
## data_file <- read_excel("C:/Users/rlagoda/Desktop/BQ Panier Pusan/bq-results-20200703-110016-wuwsaygbe84z.xls") ### Pour fichier xls

## Pour fichier csv
library(readr)
if(fichier_type=="csv"){
  data_file <- read_csv(fichier_donnees)
} else if(fichier_type == "tsv"){
  data_file <- read_tsv(fichier_donnees)
}

## Dataset avec lequel travailler (a definir dans data_file, avec libelle de colonnes : page + session_id + hitNumber)
library(sqldf)
query <- paste0("SELECT ", 
                "`",nom_col_session_id,"`"," as session_id,", 
                "`",nom_col_hitNumber,"`"," as hitNumber,", 
                "`",nom_col_page,"`"," as page 
                FROM data_file" 
                )
data_file <- sqldf(query)


